/*  ==========================================================================
    // Unordered List
    //
    // Markup: list-unordered.html
    //
    // .list--check - a list with different symbols
    // .list--inverted - for dark backgrounds
    // .list--center - centered list
    // .no-list - for cases in which you use a list but don't want the list styling
    //
    // Style guide: Base.Unordered List
    ========================================================================= */

    /*  GENERAL STYLING
    ========================================================================== */

        ul, ol
        {
            padding: 0 0 0 $double-space;
            text-align: left;
        }

        dt
        {
            font-family: $font-family;
        }


    /* UNORDERED LISTS
    ========================================================================== */

   	ul
    {
        padding-left: 0;

        list-style: none;
        line-height: $list-unordered-line-height;

        li
        {
            margin-bottom: $single-space;

            list-style-image: none;
            list-style-type: none;
            text-align: left;
        
            &:before
            {
                content: $list-unordered-style-type;
                color: $list-unordered-color;
                vertical-align: middle;
                font-size: $list-unordered-font-size;
            }
        }
    }


    /* UNORDERED LIST WITH CHECKMARS
    ========================================================================== */

	.list--check
    {
        li
        {
            padding-left: 30px;
            text-indent: -30px;

            
            
            &:before
            {
                padding-right: 10px;

                font-family: zoomicons;
                content: "\e914";
                font-size: 1.5rem;
            }
        }
    }

    /* LIST INVERTED
    ========================================================================== */

    .list--inverted
    {
        li
        {
            &:before
            {
                color: $list-unordered-inverted-color;
            }
        }
    }


    /* LIST CENTERED
    ========================================================================== */

    .list--center
    {
        display: table;
        margin: 0 auto;

        li
        {
            text-align: center;
        }
    }


    /* NO LISTS
    ========================================================================== */

    .no-list
    {
        margin-left: 0;
        padding: 0;

        list-style-type: none;
        text-indent: 0;

        li
        {
            margin-bottom: 0;

            &:before
            {
                display: none;
                content: '';
                list-style-type: none;
            }
        }
    }